Draft Text

From FreeCAD Documentation
Revision as of 09:34, 3 May 2019 by FuzzyBot (talk | contribs) (Updating to match new version of source page)

Draft_Text

Ubicación en el Menú
Croquis → Texto
Entornos de trabajo
Croquis, Arquitectura
Atajo de teclado por defecto
T E
Introducido en versión
-
Ver también
Ninguno

Descripción

La herramienta Texto inserta una parte de un texto en un punto dado en el documento actual. Toma el tamaño de texto y color previamente establecidos en la pestaña de tareas.

To create a text label with a leader and an arrow use Draft Label. To create solid text or 3D letters use Draft ShapeString with Part Extrude.

Warning: The texts created with version 0.18 are not backward compatible, so backup your work if you try to open files created with 0.18 with older versions.

Utilización

  1. Presiona el botón Texto, o presiona las teclas T y E
  2. Designa un punto en la vista 3D, o escribe unas coordenadas
  3. Introduce el texto deseado, presionando ENTER entre cada línea
  4. Presiona ENTER dos veces para terminar la operación.

Opciones

  • Presionando CTRL se realizará un ajuste del punto a las ubicaciones de ajuste disponibles.
  • Para introducir coordenadas manualmente, simplemente introduce los números, presiona ENTER entre cada componente X, Y y Z.
  • Presionando ESC se cancela la operación.
  • Cuando editando el texto, se presiona ENTER o DOWN ARROW permite introducir o editar una nueva línea de texto.
  • Presionando UP ARROW permite editar una línea de texto previa.
  • Presionando ENTER dos veces (hasta dejar la última línea vacía) se añade el texto al documento y se cierra el editor.

Propiedades

  • DatosPosition: El punto base del bloque de texto
  • DatosLabel Text: El contenido del bloque de texto
  • VistaDisplay Mode: Especifica si el texto está alineado con los ejes de la escena o si siempre mira hacia la cámara
  • VistaFont Size: El tamaño de las letras
  • VistaJustification: Especifica si el texto está alineado a la izquierda, derecha o centrado del punto base.
  • VistaLine Spacing: Especifica el espacio entre líneas de texto
  • VistaRotation: Especifica una rotación a ser aplicada al texto
  • VistaRotation Axis: Especifica el eje a utilizar para la rotación
  • VistaFont Name: La fuente a utilizar para dibujar el texto. Puede ser un nombre de una fuente, como "Arial", un estilo por defecto como "sans", "serif" o "mono", o una familia como "Arial,Helvetica,sans" o un nombre con un estilo como "Arial:Bold". Si la fuente indicada no se encuentra en el sistema, se utilizará en su lugar una genérica.

Data

  • DatosText: specifies the contents of the text block as a list of strings; each element on the list, separated by a comma, indicates a new line.
  • DatosPosition: specifies the base point of the first line of the text block.
  • DatosAngle: specifies the rotation of the baseline of the first line of the text block.
  • DatosAxis: specifies the axis to use for the rotation.

View

  • VistaDisplay Mode: if it is "3D text" the text will be aligned to the scene axes, initially lying on the XY plane; if it is "2D text" the text will always face the camera.
  • VistaFont Name: specifies the font to use to draw the text. It can be a font name, such as "Arial", a default style such as "sans", "serif" or "mono", a family such as "Arial,Helvetica,sans" or a name with a style such as "Arial:Bold". If the given font is not found on the system, a generic one is used instead.
  • VistaFont Size: specifies the size of the letters. If the text object is created in the tree view but no text is visible, increase the size of the text until it is visible.
  • VistaJustification: specifies if the text aligns to the left, right or at the center of the base point.
  • VistaLine Spacing: specifies the space between lines of text.

Archivos de guión

La herramienta Texto puede utilizarse en macros y desde la consola de Python utilizando la siguiente función:

The Text tool can be used in macros and from the Python console by using the following function:

Text = makeText(stringlist, point=Vector(0,0,0), screen=False)
  • Crea un objeto texto, en el punto indicado si se proporciona un vector, conteniendo la cadena de texto o las cadenas dadas en la lista, una cadena de texto por línea.
  • Se utilizan el color, altura de texto y fuente actuales de Boceto. Si screenmode es True, el texto siempre mira en la dirección de la vista, en otro casi permanece en el plano XY.
  • Devuelve el objeto recién creado.

The placement of the Text can be changed by overwriting its Placement attribute, or by individually overwriting its Placement.Base and Placement.Rotation attributes.

The view properties of Text can be changed by overwriting its attributes; for example, overwrite ViewObject.FontSize with the new size in millimeters.

Ejemplo:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
t1 = "This is a sample text"

p2 = FreeCAD.Vector(1000, 1000, 0)
t2 = ["First line", "second line"]

Text1 = Draft.makeText(t1, point=p1)
Text2 = Draft.makeText(t2, point=p2)
Text1.ViewObject.FontSize = 200
Text2.ViewObject.FontSize = 200

p3 = FreeCAD.Vector(-1000, -500, 0)
t3 = ["Upside", "down"]

Text3 = Draft.makeText(t3, point=p3)
Text3.ViewObject.FontSize = 200

ZAxis = FreeCAD.Vector(0, 0, 1)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 175))
Text3.Placement = place3

Text4 = Draft.makeText(t3, point=p3)
Text4.ViewObject.FontSize = 200
Text4.Placement.Rotation = FreeCAD.Rotation(ZAxis, -30)